Summary:       Software version control visualization
Name:          gource
Version:       0.44
Release:       %mkrel 1
License:       GPLv3+
Group:         Video/Utilities
URL:           http://gource.googlecode.com/
Source:        https://github.com/acaudwell/Gource/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires: pkgconfig(sdl2)
BuildRequires: pkgconfig(SDL2_image)
BuildRequires: libpng-devel
BuildRequires: libjpeg-devel
BuildRequires: pkgconfig(libpcre)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(glew)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(tinyxml)
BuildRequires: glm-devel
BuildRequires: boost-devel

Requires:      gnu-free-sans-fonts

%description
OpenGL-based 3D visualization tool for source control repositories.
The repository is displayed as a tree where the root of the repository is
the centre, directories are branches and files are leaves. Contributors
to the source code appear and disappear as they contribute to specific
files and directories.

%prep
%autosetup -p1

# Make sure to build against system tinyxml
rm -rf src/tinyxml

%build
%configure2_5x \
           --enable-ttf-font-dir=%{_datadir}/fonts/gnu-free/ \
           --with-tinyxml
%make_build

%install
%make_install

rm -rf %{buildroot}%{_datadir}/%{name}/fonts

%files
%doc README THANKS ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.*


%changelog
* Tue Apr 25 2017 akien <akien> 0.44-1.mga6
+ Revision: 1097402
- Version 0.44

* Sun Dec 27 2015 daviddavid <daviddavid> 0.43-6.mga6
+ Revision: 915697
- fix build: s/configure/configure2_5x/
- rebuild for new boost 1.60.0

* Fri Sep 25 2015 daviddavid <daviddavid> 0.43-5.mga6
+ Revision: 883712
- rebuild for new boost 1.59.0

* Mon Aug 24 2015 sander85 <sander85> 0.43-4.mga6
+ Revision: 869109
- Rebuild for glew 1.13.0

* Sun Aug 02 2015 daviddavid <daviddavid> 0.43-3.mga6
+ Revision: 860546
- rebuild for new boost-1.58.0

* Wed Jun 24 2015 akien <akien> 0.43-2.mga6
+ Revision: 842010
- Rebuild for GLEW 1.12

* Fri Nov 21 2014 akien <akien> 0.43-1.mga5
+ Revision: 798049
- Version 0.43

* Wed Oct 15 2014 umeabot <umeabot> 0.42-5.mga5
+ Revision: 749632
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.42-4.mga5
+ Revision: 679898
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 0.42-3.mga5
+ Revision: 670267
- rebuild for glew

* Tue Aug 19 2014 akien <akien> 0.42-2.mga5
+ Revision: 665693
- Build against system tinyxml

* Tue Aug 19 2014 akien <akien> 0.42-1.mga5
+ Revision: 665680
- Version 0.42, now using SDL2_image

* Sat Feb 08 2014 barjac <barjac> 0.40-2.mga5
+ Revision: 586609
- rebuild against boost-1.55

* Fri Nov 22 2013 colin <colin> 0.40-1.mga4
+ Revision: 552324
- Use pkgconfig build requires where it's used in configure.ac
- No need to tweak Makefile.in
- Import Fedora package and adapt to Mageia

